Bug 413325 - Problem with Web addresses at financial institutions
Summary: Problem with Web addresses at financial institutions
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: database (show other bugs)
Version: 5.0.7
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-22 17:59 UTC by Fabiano Caruana
Modified: 2019-12-01 13:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.0.8


Attachments
Missing Entries (30.11 KB, image/png)
2019-11-22 13:36 UTC, Fabiano Caruana
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabiano Caruana 2019-10-22 17:59:18 UTC
Problem with Web addresses at financial institutions (Geldinstitute).

1.
Database SQL Cipher:
If I deposit and save a web address at the financial institutions (Geldinstitute), the link will no longer exist after a restart of KMyMoney.
The same process with the XML file has the link.

2.
With a link (https://banking.renault-bank-direkt.de/ptlweb/WebPortal?bankid=0724) KMyMoney links to a completely different address (https://www.vr.de/privatkunden.html).
From all other programs with this link it works normally.

Greeting
Udo

SOFTWARE / OS VERSIONS
OpenSUSE Leap 15.1

Linux / KDE Plasma:

KDE plasma version: 5.12.8
KDE Frameworks Version: 5.55.0
Qt version: 5.9.7
Comment 1 Fabiano Caruana 2019-10-23 09:58:01 UTC
I have to correct.
Any changes I make to financial institutions will not be accepted.

Greetings
Udo
Comment 2 Fabiano Caruana 2019-11-22 13:36:59 UTC
Created attachment 124063 [details]
Missing Entries
Comment 3 Fabiano Caruana 2019-11-22 13:38:50 UTC
I have now saved the data in an XML file. And after a reboot all data was available ('BIC' and 'Website').
Afterwards I saved these as SQLCipher. After a restart with SQLCipher these fields were not used again, as already described above.
One might assume that these fields ('BIC' and 'Website') do not exist in the SQLite database.
But I do not get an error message.

Greetings
Udo
Comment 4 Thomas Baumgart 2019-12-01 13:21:46 UTC
Git commit f5b86b78d2d3abd0d29e975b51ee948766994188 by Thomas Baumgart.
Committed on 01/12/2019 at 13:07.
Pushed by tbaumgart into branch '5.0'.

Fix storage of additional institution attributes in SQL backend
FIXED-IN: 5.0.8

M  +19   -1    kmymoney/plugins/sql/mymoneystoragesql.cpp
M  +5    -1    kmymoney/plugins/sql/mymoneystoragesql_p.h

https://commits.kde.org/kmymoney/f5b86b78d2d3abd0d29e975b51ee948766994188
Comment 5 Thomas Baumgart 2019-12-01 13:21:57 UTC
Git commit c404e6723ff6d9a9af3e4b171d82ae9a15bf74c4 by Thomas Baumgart.
Committed on 01/12/2019 at 13:08.
Pushed by tbaumgart into branch 'master'.

Fix storage of additional institution attributes in SQL backend
FIXED-IN: 5.0.8
(cherry picked from commit f5b86b78d2d3abd0d29e975b51ee948766994188)

M  +19   -1    kmymoney/plugins/sql/mymoneystoragesql.cpp
M  +5    -1    kmymoney/plugins/sql/mymoneystoragesql_p.h

https://commits.kde.org/kmymoney/c404e6723ff6d9a9af3e4b171d82ae9a15bf74c4